Remove stack profile version deprecation
import requests
url = "https://platform.ankra.app/api/v1/org/stack-profiles/{profile_id}/versions/{version}/deprecation"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/stack-profiles/{profile_id}/versions/{version}/deprecation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request DELETE \
--url https://platform.ankra.app/api/v1/org/stack-profiles/{profile_id}/versions/{version}/deprecation \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": 123,
"channel": "<string>",
"changelog": "<string>",
"created_by_user_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"deprecation": {
"reason": "incompatibility",
"note": "<string>",
"references": [
"<string>"
],
"deprecated_at": "2023-11-07T05:31:56Z",
"deprecated_by_user_id": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Stack Profiles
Remove stack profile version deprecation
DELETE
/
api
/
v1
/
org
/
stack-profiles
/
{profile_id}
/
versions
/
{version}
/
deprecation
Remove stack profile version deprecation
import requests
url = "https://platform.ankra.app/api/v1/org/stack-profiles/{profile_id}/versions/{version}/deprecation"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/stack-profiles/{profile_id}/versions/{version}/deprecation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request DELETE \
--url https://platform.ankra.app/api/v1/org/stack-profiles/{profile_id}/versions/{version}/deprecation \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": 123,
"channel": "<string>",
"changelog": "<string>",
"created_by_user_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"deprecation": {
"reason": "incompatibility",
"note": "<string>",
"references": [
"<string>"
],
"deprecated_at": "2023-11-07T05:31:56Z",
"deprecated_by_user_id": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Deprecation removed
The withdrawal notice; null while the version is deployable.
Show child attributes
Show child attributes